org.apache.uima.jcas.cas

## Class TOP

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP

- All Implemented Interfaces:
    Cloneable, FeatureStructure
  Direct Known Subclasses:
    AnnotationBase, BooleanArray, ByteArray, DoubleArray, FloatArray, FloatList, FSArray, FSList, IntegerArray, IntegerList, LongArray, ShortArray, Sofa, StringArray, StringList

      public class TOP
      extends org.apache.uima.cas.impl.FeatureStructureImpl

  The Java Class model corresponding to the Cas TOP type. This type is the super type of all feature structures. This type implements FeatureStructure since subclasses of it are the FSs generated by this system.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `addr` used to reference the corresponding Cas instance
    `TOP_Type` | `jcasType` used to reference the corresponding TOP_Type instance
    `static int` | `type`
    `static int` | `typeIndexID` Each cover class when loaded sets an index.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TOP()`
    `` | `TOP(int addr, TOP_Type jcasType)`
    `` | `TOP(JCas jcas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToIndexes()` add the corresponding FeatureStructure to all Cas indexes in the view where this FS was created
    `void` | `addToIndexes(JCas jcas)` add this FS to indexes in a specific view, perhaps different from the creation view
    `boolean` | `equals(Object o)` A feature structure is equal to another feature structure iff it is identical in the underlying representation.
    `int` | `getAddress()`
    `CAS` | `getCAS()` Return the CAS that this FS belongs to.
    `org.apache.uima.cas.impl.CASImpl` | `getCASImpl()`
    `org.apache.uima.cas.impl.LowLevelCAS` | `getLowLevelCas()`
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `int` | `hashCode()` Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
    `void` | `removeFromIndexes()` remove the corresponding FeatureStructure from all Cas indexes in the view where this FS was created
    `void` | `removeFromIndexes(JCas jcas)` remove this FS from indexes in a specific view, perhaps different from the view where this was created.

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

    - #### type

          public static final int type

    - #### jcasType

          public TOP_Type jcasType

      used to reference the corresponding TOP_Type instance

    - #### addr

          protected final int addr

      used to reference the corresponding Cas instance

  - ### Constructor Detail

    - #### TOP

          protected TOP()

    - #### TOP

          public TOP(int addr,
                     TOP_Type jcasType)

    - #### TOP

          public TOP(JCas jcas)

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      used to obtain reference to the TOP_Type instance
      Returns:
        the type array index

    - #### addToIndexes

          public void addToIndexes()

      add the corresponding FeatureStructure to all Cas indexes in the view where this FS was created

    - #### addToIndexes

          public void addToIndexes(JCas jcas)

      add this FS to indexes in a specific view, perhaps different from the creation view
      Parameters:
        `jcas` - the JCas

    - #### removeFromIndexes

          public void removeFromIndexes()

      remove the corresponding FeatureStructure from all Cas indexes in the view where this FS was created

    - #### removeFromIndexes

          public void removeFromIndexes(JCas jcas)

      remove this FS from indexes in a specific view, perhaps different from the view where this was created.
      Parameters:
        `jcas` - the JCas

    - #### getAddress

          public int getAddress()

      Specified by:
        `getAddress` in class `org.apache.uima.cas.impl.FeatureStructureImpl`

    - #### getCASImpl

          public org.apache.uima.cas.impl.CASImpl getCASImpl()

      Specified by:
        `getCASImpl` in class `org.apache.uima.cas.impl.FeatureStructureImpl`

    - #### getCAS

          public CAS getCAS()

      Description copied from interface: `FeatureStructure`
      Return the CAS that this FS belongs to.
      Returns:
        the CAS view where this FS was created

    - #### getLowLevelCas

          public org.apache.uima.cas.impl.LowLevelCAS getLowLevelCas()

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `FeatureStructure`
      A feature structure is equal to another feature structure iff it is identical in the underlying representation.
      Specified by:
        `equals` in interface `FeatureStructure`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Description copied from interface: `FeatureStructure`
      Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
      Specified by:
        `hashCode` in interface `FeatureStructure`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        The hash code.

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.